# Problem 6 - Lighthouses

def main():
    inFile = open("Prob6.in", "r")
    outFile = open("Prob6.out", "w")

    while True:
        line = inFile.readline()
        n = int(line.rstrip('\n'))
        if n == 0:
            break
        writeLightHouse(outFile, n)
        outFile.write('\n')   #suppose to be blank line after each lighthouse
        print

        
    inFile.close()
    outFile.close()
    return

def writeLightHouse(outFile, n):
    writeRoofPeak(outFile,n)
    writeRoofSides(outFile,n)
    writeLightHouseBody(outFile, n)

def writeRoofPeak(outFile, n):
    '''writes peak of the lighthouse'''
    outFile.write(' '*(n-1) + '^\n')
    print ' '*(n-1) + '^'

def writeRoofSides(outFile, n):
    '''writes sides of the roof'''
    midSpaceCount = 1
    for leadSpaceCount in xrange(n-2,0,-1):
        outFile.write(' '*leadSpaceCount + '/' + ' '*midSpaceCount + '\\\n')
        print ' '*leadSpaceCount + '/' + ' '*midSpaceCount + '\\'
        midSpaceCount += 2

def writeLightHouseBody(outFile, n):
    '''writes body of the tower'''
    writeLineOfLightHouseBody('X', '-', outFile, n)
    for count in xrange(2*n-3):
        writeLineOfLightHouseBody('|',' ', outFile, n)
    writeLineOfLightHouseBody('X', '-', outFile, n)
    

def writeLineOfLightHouseBody(endChar, middleChar, outFile, n):
    '''writes a line of the lighthouse body'''
    midSpaceCount = 2 * n - 3
    outFile.write(endChar + middleChar*midSpaceCount + endChar + '\n')
    print endChar + middleChar*midSpaceCount + endChar + '\n',

main()
